package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 预约信息参数
 *
 * @author liude
 * @date 2023/1/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OmsCartItemPagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
    /**
     * 商家名称
     */
    private String merchantName;

}
