package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsCartItemDTO;
import com.chelvc.cloud.vehicle.api.param.OmsCartItemModifyParam;
import com.chelvc.cloud.vehicle.server.entity.CurrencyRecord;
import com.chelvc.cloud.vehicle.server.entity.OmsCartItem;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CurrencyRecordCopier {
    /**
     * 对象拷贝接口实例
     */
    CurrencyRecordCopier INSTANCE = Mappers.getMapper(CurrencyRecordCopier.class);

    /**
     *  收益流水记录信息拷贝
     *
     * @param currencyRecord  收益流水记录详情
     * @return  收益流水记录信息
     */
    CurrencyRecordDTO copying(CurrencyRecord currencyRecord);


    /**
     *  收益流水记录信息拷贝
     *
     * @param currencyRecords  收益流水记录信息集合
     * @return  收益流水记录信息列表
     */
    List<CurrencyRecordDTO> copying(Collection<CurrencyRecord> currencyRecords);

}
