package com.chelvc.cloud.vehicle.server.service.impl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.server.copier.CurrencyRecordCopier;
import com.chelvc.cloud.vehicle.server.dao.CurrencyRecordMapper;
import com.chelvc.cloud.vehicle.server.entity.CurrencyRecord;
import com.chelvc.cloud.vehicle.server.service.CurrencyRecordService;
import com.chelvc.framework.base.context.SessionContextHolder;
import org.apache.dubbo.config.annotation.DubboService;

import java.util.List;
import java.util.Map;

/**
 * 收益流水记录表操作接口
 *
 * @author liude
 * @date 2024/03/15
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.CurrencyRecordService.class)
public class CurrencyRecordServiceImpl extends ServiceImpl<CurrencyRecordMapper, CurrencyRecord> implements CurrencyRecordService,
        com.chelvc.cloud.vehicle.api.service.CurrencyRecordService {

     @Override
     public List<CurrencyRecordDTO> listCurrencyRecord(){
      Long userId = SessionContextHolder.getId();
         List<CurrencyRecord> currencyRecords = this.lambdaQuery()
                 .eq(CurrencyRecord::getUserId,userId)
                 .list();
      return CurrencyRecordCopier.INSTANCE.copying(currencyRecords);
     }
    @Override
    public Map<String, Object> getCurrencyRecord(){
        Long userId = SessionContextHolder.getId();
        return this.baseMapper.getCurrencyRecord(userId);
    }
 }
