package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.UserProfitRatioMapper;
import com.chelvc.cloud.vehicle.server.entity.UserProfitRatio;
import com.chelvc.cloud.vehicle.server.service.UserProfitRatioService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class UserProfitRatioServiceImpl extends ServiceImpl<UserProfitRatioMapper, UserProfitRatio> implements UserProfitRatioService {

    @Override
    public int queryRatio(Long inviteUserId, Integer type) {
        LambdaQueryWrapper<UserProfitRatio> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(UserProfitRatio::getUserId, inviteUserId);
        wrapper.eq(UserProfitRatio::getType, type);
        UserProfitRatio userProfitRatio = baseMapper.selectOne(wrapper);
        if(userProfitRatio == null){
            return 0;
        }
        return userProfitRatio.getRatio();
    }
}
